play.libs.ws

## Class WSUrlFetch.HttpUrlfetchResponse

- java.lang.Object
- - play.libs.WS.HttpResponse
  - - play.libs.ws.WSUrlFetch.HttpUrlfetchResponse

Enclosing class:
  WSUrlFetch

    public static class WSUrlFetch.HttpUrlfetchResponse
    extends WS.HttpResponse

An HTTP response wrapper

### Constructor Summary

Constructors
Constructor and Description
`HttpUrlfetchResponse(java.net.HttpURLConnection connection)` you shouldn't have to create an HttpResponse yourself

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getHeader(java.lang.String key)`
`java.util.List<Http.Header>` `getHeaders()`
`java.lang.Integer` `getStatus()` the HTTP status code
`java.lang.String` `getStatusText()` the HTTP status text
`java.io.InputStream` `getStream()` get the response as a stream
`java.lang.String` `getString()` get the response body as a string
`java.lang.String` `getString(java.lang.String encoding)` get the response body as a string

### Methods inherited from class play.libs.WS.HttpResponse

`getContentType, getEncoding, getJson, getQueryString, getXml, getXml, getXml, getXml, success`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpUrlfetchResponse

    public HttpUrlfetchResponse(java.net.HttpURLConnection connection)

you shouldn't have to create an HttpResponse yourself

Parameters:
  `connection` - The current connection

### Method Detail

#### getStatus

    public java.lang.Integer getStatus()

the HTTP status code

Specified by:
  `getStatus` in class `WS.HttpResponse`
Returns:
  the status code of the http response

#### getStatusText

    public java.lang.String getStatusText()

the HTTP status text

Specified by:
  `getStatusText` in class `WS.HttpResponse`
Returns:
  the status text of the http response

#### getHeader

    public java.lang.String getHeader(java.lang.String key)

Specified by:
  `getHeader` in class `WS.HttpResponse`

#### getHeaders

    public java.util.List<Http.Header> getHeaders()

Specified by:
  `getHeaders` in class `WS.HttpResponse`

#### getString

    public java.lang.String getString()

get the response body as a string

Specified by:
  `getString` in class `WS.HttpResponse`
Returns:
  the body of the http response

#### getString

    public java.lang.String getString(java.lang.String encoding)

Description copied from class: `WS.HttpResponse`
get the response body as a string

Specified by:
  `getString` in class `WS.HttpResponse`
Parameters:
  `encoding` - string charset encoding
Returns:
  the body of the http response

#### getStream

    public java.io.InputStream getStream()

get the response as a stream

Specified by:
  `getStream` in class `WS.HttpResponse`
Returns:
  an inputstream